Bug 63308 - wrong permissions in kde2-compat
wrong permissions in kde2-compat
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kde2libs (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-04-12 05:17 EDT by Leonid Kanter
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-13 13:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2002-04-12 05:17:18 EDT
Description of Problem:

...
open("/usr/lib/libkfile.so.3", O_RDONLY) = -1 EACCES (Permission denied)
stat64("/usr/lib", {st_mode=S_IFDIR|0755, st_size=65536, ...}) = 0
munmap(0x40697000, 107999)              = 0
munmap(0x405be000, 888632)              = 0
time(NULL)                              = 1018602195
write(1, "\33[32m12:03:15: \33[31m[ERR] Unable"..., 12512:03:15: [ERR] Unable to
load plugin (kde-gui): libkfile.so.3: cannot open shared object file: Permission
denied.
) = 125


[root@omnibook 1]# vdir /usr/lib/kde2-compat/
ITOGO 16
drwx------    2 root     root         4096 aPR 12 11:56 bin
drwx------    4 root     root         8192 aPR 12 11:56 lib
drwx------    9 root     root         4096 aPR 12 11:56 share

Version-Release number of selected component (if applicable):

[root@omnibook 1]# rpm -q kde2-compat
kde2-compat-2.2.2-1

How Reproducible:

always
Comment 1 Leonid Kanter 2002-04-12 06:09:33 EDT
These directories do not belong to package:

[root@omnibook 1]# LC_ALL=C rpm -qf /usr/lib/kde2-compat
file /usr/lib/kde2-compat is not owned by any package
[root@omnibook 1]# LC_ALL=C rpm -qf /usr/lib/kde2-compat/*
file /usr/lib/kde2-compat/bin is not owned by any package
file /usr/lib/kde2-compat/lib is not owned by any package
file /usr/lib/kde2-compat/share is not owned by any package
Comment 2 Harald Hoyer 2002-04-13 13:05:08 EDT
fixed in 2.2.2-2
Comment 3 Jay Turner 2002-04-16 10:58:08 EDT
Fix confirmed in 2.2.2-2.

Note You need to log in before you can comment on or make changes to this bug.